Funds Withdrawal

The method allows you to create a withdrawal request by sending a POST request.

Authentication

A separate API key must be used for authentication. It can be generated in the «Security» section in your account settings. The key is displayed only once, so make sure to store it in a secure place and do not disclose it.

What the method allows you to do

  • Creates a withdrawal request in the specified currency.

  • Minimum interval between requests — 12 seconds.

Endpoint

POST https://api.cryptocloud.plus/v2/invoice/api/out/create

Headers

Name
Type
Example
Description

Authorization*

string

Token eyJ0eXAiOiJK<...>4npi1ksS8tSY

API key from the «Security» section in your account settings

Request Body

Key parameters

Name
Type
Example
Description

currency_code*

string

ETH

Currency code:

BTC, LTC, TRX, SOL, TON, BNB, ETH, ETH_ARB, ETH_BASE, ETH_OPT, USDT_ARB, USDT_BSC, USDT_ERC20, USDT_OPT, USDT_SOL, USDT_TON, USDT_TRC20, USDC_ARB, USDC_BASE, USDC_BSC, USDC_ERC20, USDC_OPT, USDC_SOL, DAI_ARB, DAI_BASE, DAI_BSC, DAI_ERC20, DAI_OPT, USDD_TRC20, PYUSD_ERC20, PYUSD_SOL, XAUT_ERC20, XAUT_TON, ARB_ARB, OP_OPT, PEPE_BSC, PEPE_ERC20, SHIB_BSC, SHIB_ERC20, TRUMP_SOL

to_address*

string

0x396343<...>210945346fb82Aa49

Recipient's wallet address

amount*

float

0.003

Withdrawal request amount in the specified currency

Request examples

These examples show how to create a withdrawal request.

Response example

A successful request returns a response with the status success and a result object.

Parameter description

The result object contains:

Name
Type
Example
Description

invoice_id

string

INV-89UX09KA

Unique withdrawal request identifier with the INV prefix

status

string

created

Withdrawal request status — always created when the request is submitted

currency

string

ETH

Code of the selected cryptocurrency in the withdrawal request

amount

float

0.0029

Withdrawal request amount in cryptocurrency

Last updated

Was this helpful?